Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# VLCLineFinder_DeterministicApproach::LineFragment Struct Reference

Collaboration diagram for VLCLineFinder_DeterministicApproach::LineFragment:

[legend]
List of all members.

## Public Attributes
Vector2< int > | base
Vector2< double > | normal
bool | lineFragmentAlreadyConsidered
Vector2< int > | start
Vector2< int > | end
double | averageStep
int | numberOfPoints

## Member Data Documentation

Vector2<int> VLCLineFinder_DeterministicApproach::LineFragment::base

| Definition at line 281 of file VLCLineFinder_DeterministicApproach.h. Referenced by VLCLineFinder_DeterministicApproach::calculateLineOnField(), VLCLineFinder_DeterministicApproach::findIntersections(), VLCLineFinder_DeterministicApproach::findLineFragments(), VLCLineFinder_DeterministicApproach::findLines(), and VLCLineFinder_DeterministicApproach::getLine().

Vector2<double> VLCLineFinder_DeterministicApproach::LineFragment::normal

| Definition at line 282 of file VLCLineFinder_DeterministicApproach.h. Referenced by VLCLineFinder_DeterministicApproach::addCrossingsPercept(), VLCLineFinder_DeterministicApproach::calculateLineOnField(), VLCLineFinder_DeterministicApproach::findIntersections(), VLCLineFinder_DeterministicApproach::findLineFragments(), VLCLineFinder_DeterministicApproach::findLines(), and VLCLineFinder_DeterministicApproach::getLine().

bool VLCLineFinder_DeterministicApproach::LineFragment::lineFragmentAlreadyConsidered

| Definition at line 283 of file VLCLineFinder_DeterministicApproach.h. Referenced by VLCLineFinder_DeterministicApproach::findLineFragments(), VLCLineFinder_DeterministicApproach::findLines(), and VLCLineFinder_DeterministicApproach::handleCenterCircle().

Vector2<int> VLCLineFinder_DeterministicApproach::LineFragment::start

| Definition at line 284 of file VLCLineFinder_DeterministicApproach.h. Referenced by VLCLineFinder_DeterministicApproach::findLineFragments(), VLCLineFinder_DeterministicApproach::findLines(), and VLCLineFinder_DeterministicApproach::handleCenterCircle().

Vector2<int> VLCLineFinder_DeterministicApproach::LineFragment::end

| Definition at line 285 of file VLCLineFinder_DeterministicApproach.h. Referenced by VLCLineFinder_DeterministicApproach::findLineFragments(), VLCLineFinder_DeterministicApproach::findLines(), and VLCLineFinder_DeterministicApproach::handleCenterCircle().

double VLCLineFinder_DeterministicApproach::LineFragment::averageStep

| Definition at line 286 of file VLCLineFinder_DeterministicApproach.h. Referenced by VLCLineFinder_DeterministicApproach::findLineFragments(), and VLCLineFinder_DeterministicApproach::findLines().

int VLCLineFinder_DeterministicApproach::LineFragment::numberOfPoints

| Definition at line 287 of file VLCLineFinder_DeterministicApproach.h. Referenced by VLCLineFinder_DeterministicApproach::handleCenterCircle().

The documentation for this struct was generated from the following file:

- Modules/ImageProcessor/VLCImageProcessor/VLCLineFinder_DeterministicApproach.h